Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class GetRecordByIdResultDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcwebservices.csw.discovery.GetRecordByIdResultDocument

All Implemented Interfaces:
  Serializable

    public class GetRecordByIdResultDocument

extends XMLFragment

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`GetRecordByIdResultDocument()`

Method Summary
`void` | `createEmptyDocument(String version)` creates an empty GetRecordByIdResponse document
`GetRecordByIdResult` | `parseGetRecordByIdResponse(GetRecordById request)` parses a GetRecordById response XML document and maps it to its corresponding java/deegree class

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetRecordByIdResultDocument

    public GetRecordByIdResultDocument()

Method Detail

### parseGetRecordByIdResponse

    public GetRecordByIdResult parseGetRecordByIdResponse(GetRecordById request)
                                                   throws XMLParsingException

  parses a GetRecordById response XML document and maps it to its corresponding java/deegree class

  Parameters:
    `request` -
  Returns:
    a new result object
  Throws:
    `XMLParsingException`

### createEmptyDocument

    public void createEmptyDocument(String version)

  creates an empty GetRecordByIdResponse document

  Parameters:
    `version` - the desired version of the response document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org